Click or drag to resize

LinearDimensionCreate Method

Initialize Dimension parameters

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static LinearDimension Create(
	AnnotationType dimtype,
	DimensionStyle dimStyle,
	Plane plane,
	Vector3d horizontal,
	Point3d defpoint1,
	Point3d defpoint2,
	Point3d dimlinepoint,
	double rotationInPlane
)

Parameters

dimtype
Type: Rhino.GeometryAnnotationType

[Missing <param name="dimtype"/> documentation for "M:Rhino.Geometry.LinearDimension.Create(Rhino.Geometry.AnnotationType,Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double)"]

dimStyle
Type: Rhino.DocObjectsDimensionStyle

[Missing <param name="dimStyle"/> documentation for "M:Rhino.Geometry.LinearDimension.Create(Rhino.Geometry.AnnotationType,Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double)"]

plane
Type: Rhino.GeometryPlane

[Missing <param name="plane"/> documentation for "M:Rhino.Geometry.LinearDimension.Create(Rhino.Geometry.AnnotationType,Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double)"]

horizontal
Type: Rhino.GeometryVector3d

[Missing <param name="horizontal"/> documentation for "M:Rhino.Geometry.LinearDimension.Create(Rhino.Geometry.AnnotationType,Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double)"]

defpoint1
Type: Rhino.GeometryPoint3d

[Missing <param name="defpoint1"/> documentation for "M:Rhino.Geometry.LinearDimension.Create(Rhino.Geometry.AnnotationType,Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double)"]

defpoint2
Type: Rhino.GeometryPoint3d

[Missing <param name="defpoint2"/> documentation for "M:Rhino.Geometry.LinearDimension.Create(Rhino.Geometry.AnnotationType,Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double)"]

dimlinepoint
Type: Rhino.GeometryPoint3d

[Missing <param name="dimlinepoint"/> documentation for "M:Rhino.Geometry.LinearDimension.Create(Rhino.Geometry.AnnotationType,Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double)"]

rotationInPlane
Type: SystemDouble

[Missing <param name="rotationInPlane"/> documentation for "M:Rhino.Geometry.LinearDimension.Create(Rhino.Geometry.AnnotationType,Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double)"]

Return Value

Type: LinearDimension

[Missing <returns> documentation for "M:Rhino.Geometry.LinearDimension.Create(Rhino.Geometry.AnnotationType,Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double)"]

Version Information

Rhino for Windows

Supported in: 6.5
See Also